node('master') {
  timestamps {
    tool name: 'maven35', type: 'maven'
    tool name: 'Java8', type: 'jdk'
    env.mvnHome = tool 'maven35'
    env.JAVA_HOME="${tool 'Java8'}"
    env.PATH="${env.JAVA_HOME}/bin:${env.PATH}"
    maven: 'maven35'
    sh "${mvnHome}/bin/mvn --version"
    sh 'java -version'
    stage ('Checkout') {
    	checkout scm
	echo "Branch is: ${env.BRANCH_NAME}"
	sh "ls -alh"
		}
    stage ('Compile') {
	sh "${mvnHome}/bin/mvn compile"	  	
		}
    stage ('Test'){
	try{
		sh "${mvnHome}/bin/mvn test"
		echo "TEST SUCCESS!!!"
		}
		catch (Exception e){
		echo "TEST FAILURE!"
		}
		finally {
		junit 'target/surefire-reports/*.xml'
		}

		}		
	}
}
